summaryrefslogtreecommitdiff
path: root/prepare_stage3.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2018-02-24 20:39:38 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2018-02-24 20:39:38 +0100
commitb85491e9868b78d1779acb08e9b6718cc17ff141 (patch)
treedb49ab123a4dd10829feb1b1233aa0268cb88e50 /prepare_stage3.sh
parent0c77a0996eaf110e78dbfab1b3bb4945433eaf81 (diff)
downloadbootstrap32-b85491e9868b78d1779acb08e9b6718cc17ff141.tar.xz
prepared everything for stage 3
Diffstat (limited to 'prepare_stage3.sh')
-rwxr-xr-xprepare_stage3.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/prepare_stage3.sh b/prepare_stage3.sh
new file mode 100755
index 0000000..7b4fdcb
--- /dev/null
+++ b/prepare_stage3.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# shellcheck source=./default.conf
+. "./default.conf"
+
+# prepare the i486-build for stage 3
+
+if test ! -d $STAGE3_CHROOT; then
+ mkdir $STAGE3_CHROOT
+ mkdir -p $STAGE3_PACKAGES
+fi
+
+if test ! -d $STAGE3_BUILD; then
+
+ # prepare the build enviroment
+
+ mkdir $STAGE3_BUILD
+ cd $STAGE3_BUILD || exit 1
+
+ # TODO: actually build a stage2 hdd from the build artifacts of
+ # stage 2, for now we just copy the vm from stage1 after building
+ # and installing all packages from stage 2 and use it as new build
+ # machine.
+
+ echo "Prepared the stage 3 build environment."
+fi
+
+echo "Stage 3 ready."